/*
 * 2012-3 Red Hat Inc. and/or its affiliates and other contributors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,  
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.overlord.rtgov.activity.store.mem;

import static org.junit.Assert.*;

import org.junit.Test;
import org.overlord.rtgov.activity.model.soa.RequestSent;
import org.overlord.rtgov.activity.server.QuerySpec;
import org.overlord.rtgov.activity.store.mem.MemActivityStore;

public class MemActivityStoreTest {

    @Test
    public void testEvaluateField() {
        RequestSent activity=new RequestSent();
        
        activity.setOperation("myOp");
        
        if (!MemActivityStore.evaluate(activity,
                new QuerySpec().setFormat("mvel").
                            setExpression("operation == 'myOp'"))) {
            fail("Failed to evaluate operation");
        }
    }

    @Test
    public void testEvaluateProperty() {
        RequestSent activity=new RequestSent();
        
        activity.getProperties().put("testKey", "testValue");
        
        if (!MemActivityStore.evaluate(activity,
                new QuerySpec().setFormat("mvel").
                            setExpression("properties.containsKey('testKey') && "
                                 +"properties.get('testKey').equals('testValue')"))) {
            fail("Failed to evaluate property");
        }
    }

}
